cascading.flow.planner.process

## Interface FlowStepFactory<Config>

All Known Implementing Classes:
  BaseFlowStepFactory

    public interface FlowStepFactory<Config>

### Method Summary

Methods
`FlowStep<Config>` `createFlowStep(ElementGraph stepElementGraph, FlowNodeGraph flowNodeGraph)`
`FlowNodeFactory` `getFlowNodeFactory()`
`java.lang.String` `makeFlowStepName(FlowStep flowStep, int numSteps, int stepNum)`

### Method Detail

#### createFlowStep

    FlowStep<Config> createFlowStep(ElementGraph stepElementGraph,
                                  FlowNodeGraph flowNodeGraph)

#### makeFlowStepName

    java.lang.String makeFlowStepName(FlowStep flowStep,
                                    int numSteps,
                                    int stepNum)

#### getFlowNodeFactory

    FlowNodeFactory getFlowNodeFactory()